summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-x.config/fontconfig/fonts.conf4
-rwxr-xr-x.config/sxiv/exec/key-handler2
-rwxr-xr-x.local/bin/statusbar/weather31
-rw-r--r--.profile3
4 files changed, 28 insertions, 12 deletions
diff --git a/.config/fontconfig/fonts.conf b/.config/fontconfig/fonts.conf
index cc435d5..2d58803 100755
--- a/.config/fontconfig/fonts.conf
+++ b/.config/fontconfig/fonts.conf
@@ -28,10 +28,8 @@
<alias>
<family>monospace</family>
<prefer>
+ <family>Noto Sans Mono</family>
<family>Liberation Mono</family>
- <family>Inconsolata</family>
- <family>Joy Pixels</family>
- <family>Noto Color Emoji</family>
</prefer>
</alias>
</fontconfig>
diff --git a/.config/sxiv/exec/key-handler b/.config/sxiv/exec/key-handler
index e096f6e..279f9f6 100755
--- a/.config/sxiv/exec/key-handler
+++ b/.config/sxiv/exec/key-handler
@@ -6,11 +6,13 @@ do
"c")
[ -z "$destdir" ] && destdir="$(sed "s/\s.*#.*$//;/^\s*$/d" $XDG_CONFIG_HOME/directories | awk '{print $2}' | dmenu -l 20 -i -p "Copy file(s) to where?" | sed "s|~|$HOME|g")"
[ -z "$destdir" ] && exit
+ [ ! -d "$destdir" ] && notify-send "$destdir is not a directory, cancelled." && exit
cp "$file" "$destdir" && notify-send -i "$(readlink -f "$file")" "$file copied to $destdir." &
;;
"m")
[ -z "$destdir" ] && destdir="$(sed "s/\s.*#.*$//;/^\s*$/d" $XDG_CONFIG_HOME/directories | awk '{print $2}' | dmenu -l 20 -i -p "Move file(s) to where?" | sed "s|~|$HOME|g")"
[ -z "$destdir" ] && exit
+ [ ! -d "$destdir" ] && notify-send "$destdir is not a directory, cancelled." && exit
mv "$file" "$destdir" && notify-send -i "$(readlink -f "$file")" "$file moved to $destdir." &
;;
"r")
diff --git a/.local/bin/statusbar/weather b/.local/bin/statusbar/weather
index bc9f20c..0a501e3 100755
--- a/.local/bin/statusbar/weather
+++ b/.local/bin/statusbar/weather
@@ -1,13 +1,24 @@
#!/bin/sh
-getforecast() { ping -q -c 1 1.1.1.1 >/dev/null || exit 1
-curl -sf "wttr.in/$LOCATION" > "$XDG_DATA_HOME/weatherreport" || exit 1 ;}
+# Displays todays precipication chance (☔) and daily low (❄) and high (🌞).
+# Usually intended for the statusbar.
-showweather() { printf "%s" "$(sed '16q;d' "$XDG_DATA_HOME/weatherreport" | grep -wo "[0-9]*%" | sort -n | sed -e '$!d' | sed -e "s/^/☔ /g" | tr -d '\n')"
-sed '13q;d' "$XDG_DATA_HOME/weatherreport" | grep -o "m\\(-+\\)*[0-9]\\+" | sort -n -t 'm' -k 2n | sed -e 1b -e '$!d' | tr '\n|m' ' ' | awk '{print " ❄️",$1 "°","🌞",$2 "°"}' ;}
+# If we have internet, get a weather report from wttr.in and store it locally.
+# You could set up a shell alias to view the full file in a pager in the
+# terminal if desired. This function will only be run once a day when needed.
+getforecast() { ping -q -c 1 1.1.1.1 >/dev/null &&
+curl -sf "wttr.in/$LOCATION" > "$HOME/.local/share/weatherreport" || exit 1 ;}
+# Some very particular and terse stream manipulation. We get the maximum
+# precipication chance and the daily high and low from the downloaded file and
+# display them with coresponding emojis.
+showweather() { printf "%s" "$(sed '16q;d' "$HOME/.local/share/weatherreport" |
+ grep -wo "[0-9]*%" | sort -rn | sed "s/^/☔ /g;1q" | tr -d '\n')"
+sed '13q;d' "$HOME/.local/share/weatherreport" | grep -o "m\\([-+]\\)*[0-9]\\+" | sort -n -t 'm' -k 2n | sed -e 1b -e '$!d' | tr '\n|m' ' ' | awk '{print " ❄️",$1 "°","🌞",$2 "°"}' ;}
+
+# The BLOCK_BUTTON bloat for clicking in i3.
case $BLOCK_BUTTON in
- 1) $TERMINAL -e less -Srf "$XDG_DATA_HOME/weatherreport" ;;
+ 1) $TERMINAL -e less -Srf "$HOME/.local/share/weatherreport" ;;
2) getforecast && showweather ;;
3) pgrep -x dunst >/dev/null && notify-send "🌈 Weather module" "\- Left click for full forecast.
- Middle click to update forecast.
@@ -16,7 +27,9 @@ case $BLOCK_BUTTON in
🌞: Daily high" ;;
esac
-if [ "$(stat -c %y "$XDG_DATA_HOME/weatherreport" 2>/dev/null | awk '{print $1}')" != "$(date '+%Y-%m-%d')" ]
- then getforecast && showweather
- else showweather
-fi
+# The test if our forcecast is updated to the day. If it isn't download a new
+# weather report from wttr.in with the above function.
+[ "$(stat -c %y "$HOME/.local/share/weatherreport" 2>/dev/null | cut -d' ' -f1)" = "$(date '+%Y-%m-%d')" ] ||
+ getforecast
+
+showweather
diff --git a/.profile b/.profile
index b62ae21..fdc94ec 100644
--- a/.profile
+++ b/.profile
@@ -14,6 +14,9 @@ export BROWSER="brave"
export READER="zathura"
export STATUSBAR="${LARBSWM}blocks"
+# Export XDG environmental variables from '~/.config/user-dirs.dirs'
+eval "$(sed 's/^[^#].*/export &/g;t;d' ~/.config/user-dirs.dirs)"
+
# ~/ Clean-up:
#export XAUTHORITY="$XDG_RUNTIME_DIR/Xauthority" # This line will break some DMs.
export NOTMUCH_CONFIG="$XDG_CONFIG_HOME/notmuch-config"